package org.jeecg.modules.apiService.impl;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiService.ConfigService;
import org.jeecg.modules.employCategory.service.IEmployCategoryService;
import org.jeecg.modules.employConfig.entity.EmployConfig;
import org.jeecg.modules.employConfig.service.IEmployConfigService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class ConfigServiceImpl implements ConfigService {
    /******************************************************************************************************************/
    //分类信息
    @Resource
    private IEmployConfigService employConfigService;
    /******************************************************************************************************************/

    //配置信息-获取配置信息列表
    @Override
    public Result<?> queryConfigList() {
        try{
            //获取收藏列表
            List<EmployConfig> pageList = employConfigService
                    .lambdaQuery()
                    .list();

            return Result.OK("配置信息列表", pageList);
        }catch (Exception e){
            e.printStackTrace();
            return Result.error("配置信息列表查询失败");
        }
    }

    //配置信息-根据配置编码获取配置信息
    @Override
    public Result<?> queryConfigByParamCode(String paramCode) {
        try{
            EmployConfig one = employConfigService
                    .lambdaQuery()
                    .eq(EmployConfig::getParamCode, paramCode)
                    .one();

            return Result.OK("配置信息详情", one);
        }catch (Exception e){
            e.printStackTrace();
            return Result.error("配置信息详情查询失败");
        }
    }
}
